/*****************************************************************************
	CPattern - subclass of CPane that fills a rectangle with a monochrome
		or color pattern. The pattern is specified in the resID parameter
		to IPattern. If the Mac has color QuickDraw and the preferColor
		parameter is TRUE, then it looks for a 'ppat' resource of the
		same ID and draws a color pattern instead.
		
	by Dan Podwall - you may do anything you please with this code except
	charge for it, with the exception of normal network download charges.
		
*****************************************************************************/

#define _H_CPattern

#include "CPane.h"
#include "Color.h"
#include "defs.h"

struct CPattern : CPane
{
	Pattern			itsPattern;
	PixPatHandle	itsPixPat;
	
	virtual void IPattern(CView *anEnclosure, CBureaucrat *aSupervisor,
					Int16 aWidth, Int16 aHeight, Int16 aHEncl, Int16 aVEncl,
					SizingOption aHSizing, SizingOption aVSizing,
					Int16 resID, Int16 preferColor);
	
	virtual void Draw( Rect *area);
	
	virtual void Dispose( void);
};