/*****************************************************************************
CFilledBorder.h

	Subclass of CBorder that erases its interior.
	
	by Dan Podwall - you may do anything you please with this code except
	charge for it, with the exception of normal network download charges.
		
*****************************************************************************/


#define _H_CFilledBorder

#include "CBorder.h"

struct CFilledBorder : CBorder
{

	void		IFilledBorder(CView *anEnclosure, CBureaucrat *aSupervisor,
						short aWidth, short aHeight,
						short aHEncl, short aVEncl,
						SizingOption aHSizing, SizingOption aVSizing);
	void		Draw(Rect *area);
	
};